org.vishia.gral.base

## Class GralTabbedPanel.ImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.ImplAccess
    - - org.vishia.gral.base.GralTabbedPanel.ImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    SwtTabbedPanel
  Enclosing class:
    GralTabbedPanel

      public abstract static class GralTabbedPanel.ImplAccess
      extends GralPanelContent.ImplAccess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralTabbedPanel` | `widgg`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ImplAccess(GralTabbedPanel widgg)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract GralPanelContent` | `addCanvasPanel(GralPanelContent panelg, java.lang.String sLabel)`
    `abstract GralPanelContent` | `addGridPanel(GralPanelContent panelg, java.lang.String sLabel, int yGrid, int xGrid, int yGrid2, int xGrid2)` Adds a grid-panel in the TabPanel.
    `protected GralPanelContent` | `getFocusedTab()`
    `abstract GralPanelContent` | `selectTab(java.lang.String name)` Deprecated. use `GralWidget.setFocus()`
    `protected void` | `setFocusedTab(GralPanelContent tab)`

    - ### Methods inherited from class org.vishia.gral.base.GralPanelContent.ImplAccess

      `getPixelPositionSize, getPixelSize, gralPanel`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### widgg

          protected final GralTabbedPanel widgg

  - ### Constructor Detail

    - #### ImplAccess

          protected ImplAccess(GralTabbedPanel widgg)

  - ### Method Detail

    - #### getFocusedTab

          protected GralPanelContent getFocusedTab()

    - #### setFocusedTab

          protected void setFocusedTab(GralPanelContent tab)

    - #### addGridPanel

          public abstract GralPanelContent addGridPanel(GralPanelContent panelg,
                                                        java.lang.String sLabel,
                                                        int yGrid,
                                                        int xGrid,
                                                        int yGrid2,
                                                        int xGrid2)

      Adds a grid-panel in the TabPanel. The panel will be registered in the GuiPanelMng, so the access to the panel can be done with its name. The position of the widget manager is set to full area of this panel.
      Parameters:
        `sName` - The name, used in
        `sLabel` - to designate the tab for view. A "&" left from a character determines the hot-key to select the tab.
        `yGrid` - number of units per grid line vertical. It may be 1.
        `xGrid` - number of units per grid line horizontal. It may be 1.
        `yGrid2` - Number of grid lines vertical per wider ranges for lines
        `xGrid2` - Number of grid lines horizontal per wider ranges for lines
      Returns:

    - #### addCanvasPanel

          public abstract GralPanelContent addCanvasPanel(GralPanelContent panelg,
                                                          java.lang.String sLabel)

    - #### selectTab

          @Deprecated
          public abstract GralPanelContent selectTab(java.lang.String name)

      Deprecated. use `GralWidget.setFocus()`
      The named tab should be focused. TODO which widget should be focused? It may be a first widget in any GralPanelContent? In SWT it works if any widget in a tab is focused. The the tab is focused then automatically. It means this method is not necessary. If selectTab is called, the whole tab has the focus which means it content is visible. That is able to use.
      Parameters:
        `name` -
      Returns: